package com.zhentao.groups.dto;


import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;



@Data
@AllArgsConstructor
@NoArgsConstructor
public class AddGroupsDto {
    /**
     * 群名称
     */
    private String name;

    /**
     * 创建者ID
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    private Long creatorId;

    /**
     * 群头像
     */
    private String avatar;

    /**
     * 群公告
     */
    private String announcement;

    /**
     * 群描述
     */
    private String description;

}
