package com.zhentao.shouye.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;

import com.zhentao.groups.pojo.Groupss;
import com.zhentao.user.domain.UserLogin;
import lombok.Data;

/**
 * 用户首页表
 * @TableName user_shouye
 */
@TableName(value ="user_shouye")
@Data
public class UserShouye implements Serializable {
    /**
     * 主键
     */
    @TableId
    private Long id;

    /**
     * 用户1
     */
    private Long uid1;

    /**
     * 用户2
     */
    private Long uid2;

    /**
     * 群id
     */
    private Long gid;

    /**
     * 状态
     */
    private Integer status;

    /**
     * 排序
     */
    private Integer sort;
    @TableField(exist = false)
    private UserLogin userLogin;
    @TableField(exist = false)
    private Groupss groupss;
    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}
